
function getPlayerID() 
{
	return "YYY";
}

function isJavaAlwaysDisabled()
{
	var bMac = (navigator.platform.substring(0,3).toLowerCase() == "mac");
	if (!bMac)
		return false;
	var userAgent = navigator.userAgent;
	if (userAgent.indexOf("Netscape/7.1") >= 0)
		return true;
	if (userAgent.indexOf("rv:1.4") >= 0)
		return true; //mozilla
	return false;
}

function CanLiveConnect()
{
	var appVer = navigator.appVersion;
	var userAgent = navigator.userAgent;
	var bMac = (navigator.platform.substring(0,3).toLowerCase() == "mac");
	if (!bMac)
		return "1";
	var bMsie = (appVer.indexOf ( "MSIE " ) >= 0);
	if (bMsie)
		return "0";
	var safariidx = appVer.indexOf("Safari");
	if (safariidx > 0)
		return"0";
	if (userAgent.indexOf("Netscape/7.01") >= 0)
		return "1";
	if (userAgent.indexOf("Netscape/7.02") >= 0)
		return "1";
	return "0";
}

function CanShowDocumentLocal()
{
	var appVer = navigator.appVersion;
	var userAgent = navigator.userAgent;
	var bMac = (navigator.platform.substring(0,3).toLowerCase() == "mac");
	if (!bMac)
		return "1";
	var bMsie = (appVer.indexOf ( "MSIE " ) >= 0);
	if (bMsie)
		return "1";
	if (userAgent.indexOf("Netscape/7.0") >= 0) //covers 7.0,7.01,7.02
		return "0";
	return "1";
}

function TMacShowDocument(path,targetWindow) //replaces the not-working showDocument in mac/NS/local urls
{
	if (targetWindow == "_blank")
		window.open(path);
	else
		window.location.href = path;
}
